<?xml version="1.0" encoding="utf-8"?>

<!-- Copyright (c) 2007 Chris Povirk -->
<!-- Distributed under the terms of the GNU General Public License v2 -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tag="urn:X-tags:twofoos.org" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="tag xi #default">
<xsl:output method="text" encoding="utf-8" />

  <xsl:template match="//pages">
    <xsl:apply-templates select="//tags/*">
      <xsl:sort select="local-name()" />
    </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="//tags/*">
    <!-- Find unique tags -->
    <!-- Based off Muenchian Method at http://www.devx.com/xml/Article/28610/0/page/4 -->
    <xsl:if test="generate-id() = generate-id(key('tagkey', local-name())[1])"> 
      <xsl:value-of select="local-name()" />
<xsl:text>
</xsl:text>
    </xsl:if>
  </xsl:template>

  <xsl:key name="tagkey" match="//tags/*" use="local-name()" />

</xsl:stylesheet>
