<?xml version="1.0" encoding="utf-8"?>

<!-- Copyright (c) 2007 Chris Povirk -->
<!-- Distributed under the terms of the GNU General Public License v2 -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tag="urn:X-tags:twofoos.org" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns="http://www.w3.org/2005/Atom" xmlns:atom="http://www.w3.org/2005/Atom" exclude-result-prefixes="tag xi #default">
<xsl:output method="xml" encoding="utf-8" indent="yes" />

  <xsl:template match="/atom:feed">
    <xsl:copy select=".">
      <xsl:apply-templates />

      <xsl:for-each select="//atom:entry">
        <xsl:sort select="atom:updated" order="descending" />
        <xsl:if test="position() &lt;= 10">
          <xsl:copy-of select="." />
        </xsl:if>
      </xsl:for-each>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="//atom:entry" />

  <xsl:template match="*">
    <xsl:copy-of select="." />
  </xsl:template>

  <xsl:template match="text()">
    <xsl:value-of select="." />
  </xsl:template>

</xsl:stylesheet>
